class

  ExpandManager

brief

  開閉状態管理クラス

### Hierarchy

- ExpandManager

### Implements

- IExpandManager

## Index

### Constructors

- constructor

### Properties

- _aryTopGroups
- _layoutKey
- _mapGroups
- _owner

### Accessors

- backupData
- layoutKey

### Methods

- backup
- clearBackup
- collapseAll
- expandAll
- getGroup
- getTopGroups
- hasBackup
- isCollapsing
- isExpanding
- isStatusIn
- isSwitching
- newGroup
- registerTopGroup
- release
- restore
- statusAddRef
- statusRelease
- statusScope

## Constructors

### constructor

- new ExpandManager(owner: BaseExpandableListView): ExpandManager

- - Defined in CDP/UI/listview/ExpandManager.ts:16

  constructor

  #### Parameters

  - ##### owner: BaseExpandableListView

    [in] 親View のインスタンス

  #### Returns ExpandManager

## Properties

### Private _aryTopGroups

_aryTopGroups: GroupProfile[] = []

- Defined in CDP/UI/listview/ExpandManager.ts:15

### Private _layoutKey

_layoutKey: string = null

- Defined in CDP/UI/listview/ExpandManager.ts:16

### Private _mapGroups

_mapGroups: Object

- Defined in CDP/UI/listview/ExpandManager.ts:14

### Private _owner

_owner: BaseExpandableListView = null

- Defined in CDP/UI/listview/ExpandManager.ts:13

## Accessors

### backupData

- get backupData(): any

- - Defined in CDP/UI/listview/ExpandManager.ts:240

  #### Returns any

### layoutKey

- get layoutKey(): string
- set layoutKey(key: string): void

- - Defined in CDP/UI/listview/ExpandManager.ts:156

  #### Returns string

- - Defined in CDP/UI/listview/ExpandManager.ts:161

  #### Parameters

  - ##### key: string

  #### Returns void

## Methods

### backup

- backup(key: string): boolean

- Implementation of IExpandManager.backup

  - Defined in CDP/UI/listview/ExpandManager.ts:180

  内部データをバックアップ

  #### Parameters

  - ##### key: string

    [in] バックアップキーを指定

  #### Returns boolean

  true: 成功 / false: 失敗

### clearBackup

- clearBackup(key?: string): boolean

- Implementation of IExpandManager.clearBackup

  - Defined in CDP/UI/listview/ExpandManager.ts:235

  #### Parameters

  - ##### Optional key: string

  #### Returns boolean

### collapseAll

- collapseAll(delay?: number): void

- Implementation of IExpandManager.collapseAll

  - Defined in CDP/UI/listview/ExpandManager.ts:112

  #### Parameters

  - ##### Optional delay: number

  #### Returns void

### expandAll

- expandAll(): void

- Implementation of IExpandManager.expandAll

  - Defined in CDP/UI/listview/ExpandManager.ts:103

  #### Returns void

### getGroup

- getGroup(id: string): GroupProfile

- Implementation of IExpandManager.getGroup

  - Defined in CDP/UI/listview/ExpandManager.ts:56

  登録済み Group を取得

  parma

    id {String} [in] 取得する Group ID を指定

  #### Parameters

  - ##### id: string

  #### Returns GroupProfile

  GroupProfile インスタンス / null

### getTopGroups

- getTopGroups(): GroupProfile[]

- Implementation of IExpandManager.getTopGroups

  - Defined in CDP/UI/listview/ExpandManager.ts:98

  第1階層の Group を取得 コピー配列が返されるため、クライアントはキャッシュ不可

  #### Returns GroupProfile[]

  GroupProfile 配列

### hasBackup

- hasBackup(key: string): boolean

- Implementation of IExpandManager.hasBackup

  - Defined in CDP/UI/listview/ExpandManager.ts:230

  #### Parameters

  - ##### key: string

  #### Returns boolean

### isCollapsing

- isCollapsing(): boolean

- Implementation of IExpandManager.isCollapsing

  - Defined in CDP/UI/listview/ExpandManager.ts:126

  #### Returns boolean

### isExpanding

- isExpanding(): boolean

- Implementation of IExpandManager.isExpanding

  - Defined in CDP/UI/listview/ExpandManager.ts:121

  #### Returns boolean

### isStatusIn

- isStatusIn(status: string): boolean

- Implementation of IExpandManager.isStatusIn

  - Defined in CDP/UI/listview/ExpandManager.ts:151

  #### Parameters

  - ##### status: string

  #### Returns boolean

### isSwitching

- isSwitching(): boolean

- Implementation of IExpandManager.isSwitching

  - Defined in CDP/UI/listview/ExpandManager.ts:131

  #### Returns boolean

### newGroup

- newGroup(id?: string): GroupProfile

- Implementation of IExpandManager.newGroup

  - Defined in CDP/UI/listview/ExpandManager.ts:37

  新規 GroupProfile を作成 登録済みの場合はそのオブジェクトを返却

  parma

    id {String} [in] 新規に作成する Group ID を指定. 指定しない場合は自動割り振り

  #### Parameters

  - ##### Optional id: string

  #### Returns GroupProfile

  GroupProfile インスタンス

### registerTopGroup

- registerTopGroup(topGroup: GroupProfile): void

- Implementation of IExpandManager.registerTopGroup

  - Defined in CDP/UI/listview/ExpandManager.ts:69

  第1階層の Group 登録

  #### Parameters

  - ##### topGroup: GroupProfile

    [in] 構築済み GroupProfile インスタンス

  #### Returns void

### release

- release(): void

- - Defined in CDP/UI/listview/ExpandManager.ts:166

  #### Returns void

### restore

- restore(key: string, rebuild?: boolean): boolean

- Implementation of IExpandManager.restore

  - Defined in CDP/UI/listview/ExpandManager.ts:198

  内部データをリストア

  #### Parameters

  - ##### key: string

    [in] バックアップキーを指定

  - ##### Default value rebuild: boolean = true

    [in] rebuild を実行する場合は true を指定

  #### Returns boolean

  true: 成功 / false: 失敗

### statusAddRef

- statusAddRef(status: string): number

- Implementation of IExpandManager.statusAddRef

  - Defined in CDP/UI/listview/ExpandManager.ts:136

  #### Parameters

  - ##### status: string

  #### Returns number

### statusRelease

- statusRelease(status: string): number

- Implementation of IExpandManager.statusRelease

  - Defined in CDP/UI/listview/ExpandManager.ts:141

  #### Parameters

  - ##### status: string

  #### Returns number

### statusScope

- statusScope(status: string, callback: function): void

- - Defined in CDP/UI/listview/ExpandManager.ts:146

  #### Parameters

  - ##### status: string

  - ##### callback: function

    - - (): void

      - #### Returns void

Generated using TypeDoc